Hello,

this is the first release of an alternative "One Click Ruby Installer" for windows.

There are three reasons for me to provide this installer:

1) I'm not really satisfied with the current "One click installer". I don't share
   their opinion what is a required in a ruby base environment. I also don't
   think that huge packages that are extremely easy to install as a gem should
   be added to the installer. Instead more important packages like MySQL and SQLite
   extensions or the ones which are difficult to integrate should be included.

2) My Arachno Ruby IDE needs a patched interpreter for the debugger
   and this is the easiest way to handle it. In the past i was always
   a few steps behind the one click installer. Having a separate project
   means much more flexibility for me, even if i have to update a few
   components of the installer regularly.

3) Competition is good.


The included packages are:
                             Ruby    1.8.5-p12
                             GDBM      1.8.3-1
                          OpenSSL       0.9.8e
                         PDCurses          2.8
                            IConv      1.9.2-1
                         readline        4.3-2
                             rake        0.7.2
                            log4r        1.0.5
                             zlib        1.2.3
                        ruby-zlib        0.6.0
                            Expat        2.0.0
                        XMLParser        0.6.8
                         RubyGems        0.9.2
                             SWin   2006-02-05
                            VRuby   2006-11-02
                       HTMLParser   19990912p2
                          RubyDBI        0.1.1
                         DBD/ODBC        0.997
                         SQLite 2       3.3.13
                         SQLite 3       2.8.17
                      Ruby-SQLite        2.2.3
                     Ruby-SQLite3        1.2.1
                       MySQL/Ruby        2.7.3
                           OpenGL        0.32g
                         FreeGLUT        2.4.0
                        Ruby GTK2     0.16.0-1
                             GTK2       2.10.7
                            IConv      1.9.2-1
                            SciTE         1.67
                      win32-event        0.4.0
                        win32-ipc        0.4.1
               win32-changenotify        0.4.2
                  win32-clipboard        0.4.2
                        win32-dir        0.3.1
                        win32-etc        0.2.5
                      win32-event        0.4.0
                   win32-eventlog        0.4.3
                  win32-file-stat        1.2.4
                       win32-mmap        0.2.0
                      win32-mutex        0.2.2
                      win32-open3        0.2.5
                       win32-pipe        0.1.2
                    win32-process        0.5.2
                       win32-sapi        0.1.3
                  win32-semaphore        0.2.2
                    win32-service        0.5.2
                   win32-shortcut        0.2.0
                      win32-sound        0.4.0
              win32-taskscheduler        0.0.3
                     win32-thread        0.0.1
                       windows-pr        0.6.4

Everything is compiled with MSVC 6.0, so it is compatible with the one
click installer and all the "msvcrt" binary gems.

As you see the most important difference is that i integrated MySQL, SQLite and
Ruby/GTK. For GTK, i had to add one more patch to the "main" function in the
ruby executable. Ruby will set the environment variable GTK_BASE and add the gtk
binary directory in front of the path, so that GTK applications are now
completely standalone. No environment variable setup is required anymore if you
want to distribute one of your own GTK application.

I want to add the Postgresql DBI extension and the FLTK GUI toolkit in one of
the next versions. Also next on the todo list is a setup of an automatic test
system, currently i only checked most of the extensions by manually
running a few examples.

Download is here:
http://www.ruby-ide.com/downloads/ruby/installer/SetupRubyWin32-1.8.5-msvcrt-1.exe

MD5 Checksum: F54DB55FA90D9A371DA52B7A30876206  


I would really like to here your opinions.

-- 
 Best regards,                        emailto: scholz at scriptolutions dot com
 Lothar Scholz                        http://www.ruby-ide.com
 CTO Scriptolutions                   Ruby, PHP, Python IDE 's